commit f223035f4ffcff2a9296d1e907a5193f8e8845a3
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Feb 4 16:38:06 2020 -0500

    Fix link failure with gcc 10
    
    Without the 'extern' this looks like a definition not just a
    declaration, in every file that includes the header. gcc 10 is stricter
    about this kind of multiple definition.
    
    Reviewed-by: Michel Dänzer <mdaenzer@redhat.com>

diff --git a/src/drmmode_display.h b/src/drmmode_display.h
index 96eaef0a..8cd8a0a6 100644
--- a/src/drmmode_display.h
+++ b/src/drmmode_display.h
@@ -262,7 +262,7 @@ Bool drmmode_wait_vblank(xf86CrtcPtr crtc, drmVBlankSeqType type,
 			 uint64_t *ust, uint32_t *result_seq);
 
 
-miPointerSpriteFuncRec drmmode_sprite_funcs;
+extern miPointerSpriteFuncRec drmmode_sprite_funcs;
 
 
 #endif
